Skip to main content
Contract / Payouts

Raise a new contract payout

This method requires the ContractPayouts:Create permission to be associated with your role.

POST
/fm/contract/payouts
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Time-Zonestringheaderdefault:UTC

Payouts will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/json

JSON payload

contract_idstringrequired

Contract Id

Example: 100000
contract_payout_status_idstring

(Optional) Contract Payout status to transition to on create

early_termination_fee_flagenum<string>required

Early Termination Fee flag

Available options: yes, no
Example: no
early_termination_fee_netnumber
Example: 12345
financier_valuenumber
override_warnings_flagenum<string>

Override warning validation. If not specified, defaults to 'no'

Available options: yes, no
Example: no
payout_datestringrequired

Payout date in YYYY-MM-DD format

Example: YYYY-MM-DD
price_to_purchase_flagenum<string>required

Price to Purchase flag

Available options: yes, no
Example: no
price_to_purchase_netnumber
Example: 12345
total_loss_flagenum<string>required

Total Loss flag

Available options: yes, no
Example: no
total_loss_netnumber
Example: 12345
valid_untilstring

Valid Until date in YYYY-MM-DD format

Example: YYYY-MM-DD

Response

application/vnd.catch-e-api.v1+json

Success

attachment_idstring
calculated_value_gstnumber
calculated_value_netnumber
contract_idstring
contract_payout_idstring
contract_payout_status_idstring
createdstring
early_termination_fee_flagstring
early_termination_fee_gstnumber
early_termination_fee_netnumber
financier_valuenumber
payout_datestring
price_to_purchase_flagstring
price_to_purchase_gstnumber
price_to_purchase_netnumber
remaining_billingsinteger
total_loss_flagstring
total_loss_gstnumber
total_loss_netnumber
user_id_createstring
valid_untilstring